#!/usr/bin/env python

"""
info.py
Displays information about the Python interpreter.
This module can be used with the PyAutomation KPart plugin for Konqueror.

(C) David Boddie 2004

This software is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License as
published by the Free Software Foundation; either version 2 of
the License, or (at your option) any later version.

This software is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public
License along with this library; see the file COPYING
If not, write to the Free Software Foundation, Inc.,
59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
"""

from khtml import DOM

import sys


def main(part):

    # Clear the document and replace it with some information.
    
    part.begin()
    
    part.write( "\n".join(
        [
            "<html>",
            "<head>",
            "  <title>Python Information</title>",
            '  <meta http-equiv="Content-Type" content="text/html">\n',
            "</head>",
            "",
            "<body>",
            "<h1>Python Information</h1>",
            "",
            "<h2>Module search paths</h2>",
            "",
            "<pre>",
            html_repr("\n".join(sys.path)),
            "</pre>",
            "",
            "</body>",
            "</html>",
            ""
        ]
        ) )
    
    part.end()


def html_repr(text):

    new = []
    
    for c in text:
    
        if c == "&":
            new.append("&amp;")
        elif c == "<":
            new.append("&lt;")
        elif c == ">":
            new.append("&gt;")
        else:
            new.append(c)
    
    return "".join(new)
